## org.eclipse.datatools.sqltools.parsers.sql
Class SQLParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.sqltools.parsers.sql.SQLParserException

All Implemented Interfaces:
  java.io.Serializable

    public class SQLParserException

extends java.lang.Exception

Exception thrown by `SQLQueryParser` when an error occured while running the parser. This exception should be helpful to determine the possible error in the input for the parser. The `errorInfoList` provides a List of `SQLParseErrorInfo` objects to determin the reason and a possible solution for the parser errors. Possible init cause is `BadParseException`.

Author:
  ckadner
See Also:
  Serialized Form

Constructor Summary
`SQLParserException(lpg.lpgjavaruntime.BadParseException e, AbstractSQLParser p_parser, lpg.lpgjavaruntime.ParseTable p_table)`
`SQLParserException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`java.util.List` `getErrorInfoList()` Returns the list of `SQLParseErrorInfo` objects.
`void` `printParseRuntimeException()`
`void` `setErrorInfoList(java.util.List errorInfoList)` Sets the list of `SQLParseErrorInfo` objects.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLParserException

    public SQLParserException(java.lang.String message,
                              java.lang.Throwable cause)

### SQLParserException

    public SQLParserException(lpg.lpgjavaruntime.BadParseException e,
                              AbstractSQLParser p_parser,
                              lpg.lpgjavaruntime.ParseTable p_table)

Method Detail

### getErrorInfoList

    public java.util.List getErrorInfoList()

  Returns the list of `SQLParseErrorInfo` objects.

  Returns:
    Returns the errorInfoList.

### setErrorInfoList

    public void setErrorInfoList(java.util.List errorInfoList)

  Sets the list of `SQLParseErrorInfo` objects.

  Parameters:
    `errorInfoList` - The errorInfoList to set.

### printParseRuntimeException

    public void printParseRuntimeException()